# Web editor class selector

This module allows users to create custom CSS class records, which can then be selected and applied directly in the HTML editor. Note: The actual CSS file containing the class definitions is not provided by this module and must be loaded in a custom module.

Table of contents

- Usage
- Known issues / Roadmap
- Bug Tracker
- Credits
  - Authors
  - Maintainers

# Usage

- Go to Settings > Technical > User Interface > Web editor Class.
- Create and name your custom CSS classes.
- Go to any model with an HTML field (e.g., Settings > Users > Preferences > Signature).
- In the HTML editor, select any content block.
- Choose from the available CSS classes to apply the desired styling.

# Known issues / Roadmap

Add support to apply class to any element (currently, only span is supported)

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.